#include "BlueTooth.h"
BlueTooth_t  BlueTooth;
uint8_t UUIDData[32] = {"tywtywtywtywtywtywtywtywtywtyw03"};

void BlueTooth_KL30_KL15_Wakeup_Init(void)
{
    BlueTooth.BLE_St = BLUE_STATE_Starting;
    BlueTooth.Navigation_St = EM_ESP32_NAVI_ST_STANDBY;
    BlueTooth.Navigation_Code = 0;
    BlueTooth.Navigation_Mileage = 0;
}
void Send_UUID_To_Esp32(void)
{
   Protocol_Send(MCU_ESP32_0x03, UUIDData, 32);
}
uint8_t Get_Navigation_St_Dis(void)
{
    return BlueTooth.Navigation_St;
}
uint8_t Get_Navigation_Code_Dis(void)
{
    return BlueTooth.Navigation_Code;
}
uint32_t Get_Navigation_Mileage_Dis(void)
{
    return BlueTooth.Navigation_Mileage;
}